Package com.evopdf

# Class PdfFormFieldStyle

java.lang.Object
com.evopdf.PdfFormFieldStyle

public class PdfFormFieldStyle extends Object
This class represents the style of a PDF form field in a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfFormFieldStyle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RgbColor`
  `backColor()`
  Gets the form field background color
  `RgbColor`
  `borderColor()`
  Gets the form field border color
  `PdfBorderStyle`
  `borderStyle()`
  Gets the the form field border style
  `RgbColor`
  `foreColor()`
  Gets the form field fore color
  `void`
  `setBackColor(RgbColor backColor)`
  Sets the form field background color
  `void`
  `setBorderColor(RgbColor borderColor)`
  Sets the form field border color
  `void`
  `setBorderStyle(PdfBorderStyle borderStyle)`
  Sets the form field border style
  `void`
  `setForeColor(RgbColor foreColor)`
  Sets the form field fore color

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfFormFieldStyle

    public PdfFormFieldStyle()

- ## Method Details

  - ### borderStyle

    public PdfBorderStyle borderStyle()
    Gets the the form field border style
    Returns:
      the form field border style

  - ### setBorderStyle

    public void setBorderStyle(PdfBorderStyle borderStyle)
    Sets the form field border style
    Parameters:
      `borderStyle` - the form field border style to set

  - ### backColor

    public RgbColor backColor()
    Gets the form field background color
    Returns:
      the form field background color

  - ### setBackColor

    public void setBackColor(RgbColor backColor)
    Sets the form field background color
    Parameters:
      `backColor` - the form field background color to set

  - ### foreColor

    public RgbColor foreColor()
    Gets the form field fore color
    Returns:
      the form field fore color

  - ### setForeColor

    public void setForeColor(RgbColor foreColor)
    Sets the form field fore color
    Parameters:
      `foreColor` - the form field fore color to set

  - ### borderColor

    public RgbColor borderColor()
    Gets the form field border color
    Returns:
      the form field border color

  - ### setBorderColor

    public void setBorderColor(RgbColor borderColor)
    Sets the form field border color
    Parameters:
      `borderColor` - the form field border color to set